%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global with_doc 0
%global pypi_name octavia-dashboard
%global openstack_name octavia-ui

# tests are disabled by default
%bcond_with tests

Name:           openstack-%{openstack_name}
Version:        1.0.1
Release:        6%{?dist}
Summary:        OpenStack Octavia Dashboard for Horizon

License:        ASL 2.0
URL:            https://storyboard.openstack.org/#!/project/909
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=1.0.1
Patch0001: 0001-Replace-noop-tests-with-registration-test.patch
Patch0002: 0002-import-zuul-job-settings-from-project-config.patch
Patch0003: 0003-Fix-auth-url-for-Barbican-client.patch
Patch0004: 0004-Allow-cascade-deletion-of-load-balancer.patch
Patch0005: 0005-Add-the-missing-protocol-for-listener.patch
Patch0006: 0006-List-children-pools-on-LB-details-page.patch
Patch0007: 0007-Being-able-to-edit-default-pool-of-listener.patch
Patch0008: 0008-Add-l7-support.patch
Patch0009: 0009-Use-pool-name-as-hint-for-selecting-pool-id.patch
Patch0010: 0010-Align-model-with-v2-api.patch
Patch0011: 0011-Being-able-to-change-insert-headers-of-listener.patch
Patch0012: 0012-Add-the-missing-type-for-Health-Monitor.patch
Patch0013: 0013-Make-the-display-of-none-consistent-in-detail-page.patch
Patch0014: 0014-Allow-member-name-to-be-set-and-updated.patch
Patch0015: 0015-Replace-unicode-punctation-with-ascii.patch
Patch0016: 0016-Cannot-update-ssl-certificate-when-update-listener.patch
Patch0017: 0017-Show-the-Insert-Headers-when-listener-protocol-is-HT.patch
Patch0018: 0018-Implements-a-filtered-select.patch
Patch0019: 0019-Honor-OPENSTACK_ENDPOINT_TYPE-in-Horizon-s-local_set.patch
Patch0020: 0020-Pin-stable-queens-to-xenial-nodeset.patch

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-testrepository
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python2-ddt
BuildRequires:  python2-django-nose
BuildRequires:  python-nose-exclude
BuildRequires:  python2-pbr
BuildRequires:  python-selenium
BuildRequires:  python2-subunit
BuildRequires:  python2-oslotest
BuildRequires:  openstack-macros

Requires:       openstack-dashboard
Requires:       python2-pbr >= 2.0.0
Requires:       python2-babel >= 2.3.4
Requires:       python2-openstacksdk >= 0.9.19
Requires:       python2-oslo-log >= 3.36.0
Requires:       python2-barbicanclient >= 4.0.0
Requires:       python2-keystoneclient >= 1:3.8.0
Requires:       python2-six >= 1.10.0

%description
Octavia Dashboard is an extension for OpenStack Dashboard that provides a UI
for Octavia.

%if 0%{?with_doc}
# Documentation package
%package -n python-%{openstack_name}-doc
Summary:        Documentation for OpenStack Octavia Dashboard for Horizon

BuildRequires:  python2-sphinx
BuildRequires:  python2-oslo-sphinx
BuildRequires:  python2-openstackdocstheme
BuildRequires:  openstack-dashboard
BuildRequires:  python2-barbicanclient

%description -n python-%{openstack_name}-doc
Documentation for Octavia Dashboard
%endif

%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git
# Let RPM handle the dependencies
%py_req_cleanup

%build
%py2_build

%if 0%{?with_doc}
# Build html documentation
export PYTHONPATH="%{_datadir}/openstack-dashboard:%{python2_sitearch}:%{python2_sitelib}:%{buildroot}%{python2_sitelib}"
sphinx-build -b html doc/source doc/build/html
# Remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%py2_install

# Move config to horizon
install -p -D -m 640 octavia_dashboard/enabled/_1482_project_load_balancer_panel.py %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_1482_project_load_balancer_panel.py

%check
%if 0%{?with_test}
%{__python2} manage.py test
%endif

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/octavia_dashboard
%{python2_sitelib}/*.egg-info
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_1482_project_load_balancer_panel.py*

%if 0%{?with_doc}
%files -n python-%{openstack_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Tue Jun 04 2019 Steve Linabery <slinaber@redhat.com> 1.0.1-6
- Pin stable/queens to xenial nodeset

* Tue May 07 2019 Nir Magnezi <nmagnezi@redhat.com> 1.0.1-5
- Honor OPENSTACK_ENDPOINT_TYPE in Horizon's local_settings.py (rhbz#1698467)
- Implements a filtered select (rhbz#1698467)
- Show the 'Insert Headers' when listener protocol is 'HTTP' or 'TERMINATED_HTTPS' (rhbz#1698467)
- Cannot update ssl certificate when update listener (rhbz#1698467)
- Replace unicode punctation with ascii (rhbz#1698467)
- Allow member name to be set and updated (rhbz#1698467)
- Make the display of none consistent in detail page (rhbz#1698467)
- Add the missing type for Health Monitor (rhbz#1698467)
- Being able to change insert headers of listener (rhbz#1698467)
- Align model with v2 api (rhbz#1698467)
- Use pool name as hint for selecting pool id (rhbz#1698467)
- Add l7 support (rhbz#1698467)
- Being able to edit default pool of listener (rhbz#1698467)
- List children pools on LB details page (rhbz#1698467)
- Add the missing protocol for listener (rhbz#1698467)

* Tue Apr 09 2019 Carlos Goncalves <cgoncalves@redhat.com> 1.0.1-4
- Allow cascade deletion of load balancer (rhbz#1623540)

* Mon Apr 01 2019 Carlos Goncalves <cgoncalves@redhat.com> 1.0.1-3
- Fix auth url for Barbican client (rhbz#1593904)

* Mon Oct 15 2018 Steve Linabery <slinaber@redhat.com> 1.0.1-2
- import zuul job settings from project-config
- Replace noop tests with registration test

* Mon Apr 09 2018 RDO <dev@lists.rdoproject.org> 1.0.1-1
- Update to 1.0.1

* Wed Feb 28 2018 RDO <dev@lists.rdoproject.org> 1.0.0-1
- Update to 1.0.0

* Wed Feb 21 2018 RDO <dev@lists.rdoproject.org> 1.0.0-0.2.0rc1
- Update to 1.0.0.0rc2

* Mon Feb 19 2018 RDO <dev@lists.rdoproject.org> 1.0.0-0.1.0rc1
- Update to 1.0.0.0rc1

